Bug 454564 - Review Request: pymssql - A simple database interface to MS-SQL for Python
Review Request: pymssql - A simple database interface to MS-SQL for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-08 20:05 EDT by Ray Van Dolson
Modified: 2008-10-15 22:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 22:02:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ray Van Dolson 2008-07-08 20:05:49 EDT
Spec URL: http://rayvd.fedorapeople.org/pymssql/pymssql.spec
SRPM URL: http://rayvd.fedorapeople.org/pymssql/pymssql-0.8.0-1.src.rpm

Description: 
An "almost" DB-API 2.0 compliant module for access to Microsoft SQL
servers from Python.  Features:

  - Supports connecting to Microsoft SQL 2000 and SQL 2005 servers, all
    editions and service pack levels (see also FAQ / Troubleshooting
    page).
  - Supports named instances and non-standard port numbers.
  - Great performance: it uses MS SQL DB-Library for C instead of Win32
    ODBC.
  - Multiple Query/Multiple Result.
Comment 1 Jason Tibbitts 2008-08-20 11:33:36 EDT
This fails to build in mock:
  + /usr/bin/python setup.py build
  /var/tmp/rpm-tmp.C7rluz: line 29: /usr/bin/python: No such file or directory
I added a build-dependency on python-devel and it built.  I don't know if that's what's really needed, so you should investigate.

Once built, rpmlint says:
  pymssql.x86_64: E: non-standard-executable-perm 
   /usr/lib64/python2.5/site-packages/_mssql.so 0775
  pymssql.x86_64: W: wrong-file-end-of-line-encoding 
   /usr/share/doc/pymssql-0.8.0/ChangeLog
  pymssql.x86_64: W: wrong-file-end-of-line-encoding 
   /usr/share/doc/pymssql-0.8.0/TODO
All of these need fixing.
Comment 2 Ray Van Dolson 2008-08-21 11:17:17 EDT
Alright, new spec and SRPM:

  http://rayvd.fedorapeople.org/pymssql/pymssql.spec
  http://rayvd.fedorapeople.org/pymssql/pymssql-0.8.0-2.src.rpm

Note that I did not get the non-standard-exec-perm error message, and when I install the package the _mssql.so file ends up with 0755 permissions.  Any thoughts why yours is ending up 0775?  umask of the build user?  I could of course change the permission manually on the file before installing it "just to be sure".

Thanks much.
Comment 3 Jason Tibbitts 2008-08-25 15:26:24 EDT
I honestly have no idea about the permissions; I did a scratch build and it came out OK on the builder, so I really don't know what the issue is.  I know I'm not the only person who sees this, however.

Still, since this comes out OK thorugh the buildsys, I'm going to have to assume that there's something peculiar about my mock setup which causes this issue.

I'll take a further look at this later today.
Comment 4 Jason Tibbitts 2008-08-25 23:48:55 EDT
I will simply review what comes out of the buildsys and ignore the permissions issue.

* source files match upstream:
   7743db3c3c59c872396c9ceed809afb082d742844ed6e99bd94d0cd2127fee01  
   pymssql-0.8.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent (ignoring the permission error as described above).
* final provides and requires are sane:
   _mssql.so()(64bit)
   pymssql = 0.8.0-2.fc10
   pymssql(x86-64) = 0.8.0-2.fc10
  =
   freetds >= 0.63
   libpython2.5.so.1.0()(64bit)
   libsybdb.so.5()(64bit)
   python >= 2.4
   python(abi) = 2.5

* %check is not present; test suite needs a running mssql server.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate (ignoring the weird permission issue).
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 5 Ray Van Dolson 2008-08-28 16:58:56 EDT
New Package CVS Request
=======================
Package Name: pymssql
Short Description: A simple database interface to MS-SQL for Python
Owners: rayvd
Branches: F-8 F-9 EL-5
InitialCC:
Comment 6 Kevin Fenzi 2008-08-29 00:51:03 EDT
cvs done.
Comment 7 Ray Van Dolson 2008-09-10 16:45:22 EDT
Hmm, doesn't look like the EL-5 branch was created.

Package Change Request
======================
Package Name: pymssql
New Branches: EL-5
Comment 8 Jason Tibbitts 2008-09-10 20:03:05 EDT
CVS done.
Comment 9 Jason Tibbitts 2008-10-01 12:16:28 EDT
This doesn't seem to have been built yet.  Any reason for not doing that?
Comment 10 Ray Van Dolson 2008-10-01 13:09:31 EDT
Not a good one. :-)  Just had to redo a few certs to get communication to CVS and koji working again properly.  All is well now and am doing the build(s).
Comment 11 Fedora Update System 2008-10-01 14:41:41 EDT
pymssql-0.8.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pymssql-0.8.0-2.fc9
Comment 12 Fedora Update System 2008-10-01 14:41:44 EDT
pymssql-0.8.0-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/pymssql-0.8.0-2.fc8
Comment 13 Fedora Update System 2008-10-03 18:29:35 EDT
pymssql-0.8.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pymssql'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8556
Comment 14 Fedora Update System 2008-10-03 18:33:25 EDT
pymssql-0.8.0-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pymssql'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8596
Comment 15 Fedora Update System 2008-10-15 22:02:31 EDT
pymssql-0.8.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-10-15 22:02:59 EDT
pymssql-0.8.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.